Set the IBM Cloud infrastructure account user ID and API key for linked IBM Cloud account
POST /v1/infra_credentials
If no request body is provided, retrieve the user name and API key for the IBM Cloud infrastructure account that is linked to the current IBM Cloud account. Then enter the information in the VMware Solutions account settings. If a request body is provided, set the provided user name and API key for the IBM Cloud infrastructure account in the VMware Solutions account settings.
Request
Request Body
infra_credentials
The IBM Cloud infrastructure account information. The provided IBM Cloud infrastructure account ID should be consistent with the provided user name and API key.
infra_credentials
Required *
common_infra_credentials
IBM Cloud infrastructure API credentials
user_name
Required *
string
IBM Cloud infrastructure API user name
api_key
string
IBM Cloud infrastructure API key
account_id
string
IBM Cloud infrastructure account ID
Path Parameters
Query Parameters
retrieve_only
boolean
Whether to only retrieve the IBM Cloud infrastructure API user information.
Response
200 - Success. The request has been successfully performed.
account_name
string
IBM Cloud account name
infra_credentials
common_infra_credentials
IBM Cloud infrastructure API credentials
400 -
Order a new VCF for Classic - Automated instance with NSX-T or verify the order
POST /v1/vcenters/nsxt
Order a new VMware Cloud Foundation for Classic - Automated instance with NSX-T or verify the order with specified configurations.
Request
Request Body
nsxt_order_data
Order specification with configurations.
name
Required *
string
New VMware instance name that must be unique in your account.
root_domain
Required *
string
Root domain of the VMware vSphere hosts.
host_prefix
string
Hostname prefix of the VMware vSphere hosts.
domain_type
string
Domain type. "primary" is the only supported value currently.
dns_type
string
Active Directory DNS type. Valid values are "vsi" or "ha_vm".
test_hardware
boolean
Whether hosts should undergo extended hardware testing.
large_chassis_only
boolean
Whether hosts should never be converted to 1U chassis.
vsphere_version
string
The VMware vSphere version. Applies to the hosts in the cluster and to the clusters ordered at the same time as the instance.
vcenter_version
string
The vCenter Server version of the instance.
management
Required *
multi_cluster
Customized hardware configuration to be ordered.
cluster_name
Required *
string
New cluster name that must be unique for the specified instance.
quantity
integer
Number of bare metal servers. One of quantity or host_names is required.
host_names
array
List of hostnames to be used for the order. One of host_names or quantity is required.
customized_hardware
Required *
object
Customized hardware configuration to be ordered.
shared_storages
array
List of shared storage configurations.
location
Required *
string
Data center location.
networking
object
Existing network selections.
is_default_pod
boolean
Whether the default pod is used
license_keys
object
VMware license keys for vSAN.
network
object
Network configuration.
workload
multi_cluster
Customized hardware configuration to be ordered.
cluster_name
Required *
string
New cluster name that must be unique for the specified instance.
quantity
integer
Number of bare metal servers. One of quantity or host_names is required.
host_names
array
List of hostnames to be used for the order. One of host_names or quantity is required.
customized_hardware
Required *
object
Customized hardware configuration to be ordered.
shared_storages
array
List of shared storage configurations.
location
Required *
string
Data center location.
networking
object
Existing network selections.
is_default_pod
boolean
Whether the default pod is used
license_keys
object
VMware license keys for vSAN.
network
object
Network configuration.
edge
edge_multi_cluster
Gateway cluster configuration.
cluster_name
Required *
string
New cluster name that must be unique for the specified instance.
quantity
integer
Number of bare metal servers. For gateway clusters, the value must be `2`. One of quantity or host_names is required.
host_names
array
List of hostnames to be used for the order. One of host_names or quantity is required.
host_prefix
string
Hostname prefix of the vSphere hosts for the cluster.
customized_hardware
Required *
object
Customized hardware configuration to be ordered.
location
Required *
string
Data center location.
network
object
Network configuration.
services
array
List of services to be added to the instance.
Path Parameters
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for creating the VCF for Classic - Automated instance with NSX-T has been accepted.
id
string
Unique ID of the VMware Cloud Foundation for Classic - Automated instance.
400 -
401 -
403 -
500 -
List all VCF for Classic - Flexible instances as a JSON object
GET /v1/vspheres
List all VMware Cloud Foundation for Classic - Flexible instances that the user can access. The key name is "vspheres".
Request
Path Parameters
Query Parameters
res_type
string
The result type.
Response
200 - Success.
401 -
500 -
Order a new VCF for Classic - Flexible instance, verify the order, or get the order price
POST /v1/vcenters/vss
Order a new VMware Cloud Foundation for Classic - Flexible instance, verify the order, or get the order price.
Request
Request Body
vss_order_data
Order specification with configurations.
cluster_name
Required *
string
New VMware Cloud Foundation for Classic - Flexible instance name that must be unique in your account.
location
string
Data center location. To list available data center locations, use the `GET /v1/locations` API.
sl_pod_name
string
Pod name.
root_domain
Required *
string
Root domain of the vSphere hosts.
host_prefix
string
Hostname prefix of the vSphere hosts.
quantity
integer
Number of hardware servers. One of quantity or host_names is required.
host_names
array
List of hostnames to be used for the order. One of host_names or quantity is required.
test_hardware
boolean
Whether hosts should go through extended hardware testing.
large_chassis_only
boolean
Whether hosts should never be converted to 1U chassis.
vsphere_version
string
vSphere version
customized_hardware
Required *
customized_hardware
Customized hardware configuration to be ordered.
server
Required *
string
Server CPU type of the hardware. To see supported server types, use the `GET /v2/server_types` API.
ram
Required *
string
RAM type of the hardware. To see supported RAM types, use the `GET /v2/server_types` API.
disks
object
vsan_cache_disks
array
Array of disk types for each of the local disks used by vSAN. This is the old way that is no longer needed.
vsan_compression
boolean
Whether or not to compress the vSAN disks. Applicable only when using vSAN. If true, the compression ratio on vSAN is set to 3.5.
network
network_config
Network configuration.
uplink_speed
string
Network Uplink Speed. The default value is 10 GB. 25 GB is available only for certain server types and data centers.
private_only
boolean
Whether to attach to private network only or not.
networking
def_existing_networking
Existing network selections.
private_vlan
object
Data for an existing private VLAN to use for vCenter Server. The pod for the existing private VLAN must be the same as the pod for the new cluster.
public_vlan
object
Data for an existing public VLAN to use for vCenter Server. The pod for the existing public VLAN must be the same as the pod for the new cluster.
additional_private_vlan
object
Data for an existing additional private VLAN to use for vCenter Server. The pod for the existing additional private VLAN must be the same as the pod for the new cluster.
license_keys
Required *
object
VMware license keys configuration.
vcenter
object
vCenter Server license and version.
nsx
object
NSX license key.
vsphere
object
VMware vSphere license.
vsan
object
vCenter license key.
vro
object
VMware vRealize Operations Enterprise license.
vrl
object
VMware vRealize Log Insight license.
vra
object
vRealize Automation Enterprise license.
Path Parameters
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request to create a VMware Cloud Foundation for Classic - Flexible instance has been accepted.
id
string
Unique ID of the VMware Cloud Foundation for Classic - Flexible instance.
400 -
401 -
403 -
500 -
Delete a VCF for Classic - Flexible instance
DELETE /v1/vcenters/vss/{instance_id}
Delete a VMware Cloud Foundation for Classic - Flexible instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
202 - Success. The request for deleting the VMware Cloud Foundation for Classic - Flexible instance has been accepted.
401 -
403 -
404 -
500 -
Retrieve the detailed information of a VCF for Classic - Automated instance
GET /v1/vcenters/{instance_id}
Retrieve the detailed information of a VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success.
id
string
Unique ID of the VMware Cloud Foundation for Classic - Automated instance.
name
string
VMware Cloud Foundation for Classic - Automated instance name.
creator
string
Creator of the instance.
created_time
integer
Creation timestamp in epoch.
status
string
VMware Cloud Foundation for Classic - Automated instance status.
location
string
Primary data center location of the instance.
initial_version
string
Initial version of the instance.
current_version
string
Current version of the instance.
domain_type
string
Domain types.
root_domain
string
Root domain of the VMware vSphere hosts.
host_prefix
string
Hostname prefix of the VMware vSphere hosts.
subdomain
string
Subdomain of the VMware vSphere hosts.
crn
string
Cloud resource name. The unique resource identifier in IBM Cloud.
resource_group_id
string
Resource group ID. To list resource groups, see the Resource Manager API for IBM Cloud. By default, the default resource group ID in the account is used.
endpoints
array
List of endpoints that the instance exposes.
401 -
403 -
404 -
500 -
Delete a VCF for Classic - Automated instance
DELETE /v1/vcenters/{instance_id}
Delete a VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
202 - Success. The request for deleting the VMware Cloud Foundation for Classic - Automated instance has been accepted.
401 -
403 -
404 -
500 -
Upgrade NSX and vSAN licenses to Enterprise edition for VCF for Classic - Automated
PUT /v1/vcenters/{instance_id}/upgrade_licenses
Upgrade the VMware NSX and VMware vSAN licenses to the Enterprise edition for a VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success. The request has been successfully verified.
202 - Success. The request has been accepted.
400 -
401 -
403 -
500 -
Deploy Usage Meter
POST /v1/vcenters/{instance_id}/uma
Deploy VMware vCloud Usage Meter in a specified VMware vCenter Server.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success. The request is verified.
202 - Success. The request to add Usage Meter is accepted.
401 -
403 -
404 -
500 -
Add a cluster for a specified VCF for Classic - Automated instance or verify the order
POST /v1/vcenters/{instance_id}/clusters
Add a cluster for a specified VMware Cloud Foundation for Classic - Automated instance or verify the order.
Request
Request Body
Cluster order specification with configurations.
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for adding the new cluster has been accepted.
id
string
Unique ID of the cluster.
400 -
401 -
403 -
404 -
500 -
Retrieve the detailed information of a cluster
GET /v1/vcenters/{instance_id}/clusters/{cluster_id}
Retrieve the detailed information of a specified cluster deployed in a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
Response
200 - Success.
id
string
Unique ID of the cluster.
name
string
Cluster name.
location
string
Data center location of the cluster.
is_default_pod
boolean
Whether the cluster is in the default pod of the data center.
sl_pod_name
string
Name of the specific pod in the data center.
status
string
Cluster status.
num_hosts
integer
Number of hosts in the cluster.
hosts
array
List of hosts in the cluster.
shared_storages
array
List of shared storage datastores configurations.
401 -
403 -
404 -
500 -
Delete a cluster
DELETE /v1/vcenters/{instance_id}/clusters/{cluster_id}
Delete a specified cluster from a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
Response
202 - Success. The request for deleting the cluster has been accepted.
401 -
Add new hosts to a specified cluster
POST /v1/vcenters/{instance_id}/clusters/{cluster_id}/hosts
Add new hosts to a specified cluster for a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Request Body
hosts_order_data
Parameters for adding new hosts.
quantity
Required *
integer
Number of new hosts to be added. One of quantity or host_names is required.
host_names
array
List of hostnames to be used for the order. One of host_names or quantity is required.
maintenance_mode
boolean
Whether to put the new hosts into maintenance mode after they are added.
vsphere_version
string
Different vSphere version for the new host.
customized_hardware
customized_hardware
Customized hardware configuration to be ordered.
server
Required *
string
Server CPU type of the hardware. To see supported server types, use the `GET /v2/server_types` API.
ram
Required *
string
RAM type of the hardware. To see supported RAM types, use the `GET /v2/server_types` API.
disks
object
vsan_cache_disks
array
Array of disk types for each of the local disks used by vSAN. This is the old way that is no longer needed.
vsan_compression
boolean
Whether or not to compress the vSAN disks. Applicable only when using vSAN. If true, the compression ratio on vSAN is set to 3.5.
large_chassis_only
boolean
Whether hosts should never be converted to 1U chassis.
networking
def_existing_networking
Existing network selections.
private_vlan
object
Data for an existing private VLAN to use for vCenter Server. The pod for the existing private VLAN must be the same as the pod for the new cluster.
public_vlan
object
Data for an existing public VLAN to use for vCenter Server. The pod for the existing public VLAN must be the same as the pod for the new cluster.
additional_private_vlan
object
Data for an existing additional private VLAN to use for vCenter Server. The pod for the existing additional private VLAN must be the same as the pod for the new cluster.
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for adding new hosts has been accepted.
400 -
401 -
403 -
404 -
409 -
500 -
Delete hosts from a specified cluster
PATCH /v1/vcenters/{instance_id}/clusters/{cluster_id}/hosts
Delete hosts from a specified cluster for a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Request Body
Parameters for deleting hosts.
hosts
Required *
array
List of host IDs to be deleted. Delete these specified hosts from a specified cluster.
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
Response
202 - Success. The request for deleting the specified hosts has been accepted.
400 -
401 -
403 -
404 -
409 -
500 -
Add new hosts to a specified VCF for Classic - Flexible instance
POST /v1/vcenters/vss/{instance_id}/hosts
Add new hosts to a specified VMware Cloud Foundation for Classic - Flexible instance.
Request
Request Body
vss_hosts_order_data
Parameters for adding new hosts.
quantity
integer
Number of new hosts to be added.
test_hardware
boolean
Whether hosts should undergo extended hardware testing.
large_chassis_only
boolean
Whether hosts should never be converted to 1U chassis.
host_names
array
List of hostnames to be used for the order.
vsphere_version
string
Different vSphere version for the new host.
customized_hardware
customized_hardware
Customized hardware configuration to be ordered.
server
Required *
string
Server CPU type of the hardware. To see supported server types, use the `GET /v2/server_types` API.
ram
Required *
string
RAM type of the hardware. To see supported RAM types, use the `GET /v2/server_types` API.
disks
object
vsan_cache_disks
array
Array of disk types for each of the local disks used by vSAN. This is the old way that is no longer needed.
vsan_compression
boolean
Whether or not to compress the vSAN disks. Applicable only when using vSAN. If true, the compression ratio on vSAN is set to 3.5.
networking
def_existing_networking
Existing network selections.
private_vlan
object
Data for an existing private VLAN to use for vCenter Server. The pod for the existing private VLAN must be the same as the pod for the new cluster.
public_vlan
object
Data for an existing public VLAN to use for vCenter Server. The pod for the existing public VLAN must be the same as the pod for the new cluster.
additional_private_vlan
object
Data for an existing additional private VLAN to use for vCenter Server. The pod for the existing additional private VLAN must be the same as the pod for the new cluster.
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for adding new hosts has been accepted.
400 -
401 -
403 -
404 -
409 -
500 -
Delete hosts from a specified VCF for Classic - Flexible instance
PATCH /v1/vcenters/vss/{instance_id}/hosts
Delete hosts from a specified VMware Cloud Foundation for Classic - Flexible instance.
Request
Request Body
Parameters for deleting hosts.
hosts
Required *
array
List of host IDs to be deleted. Delete these specified hosts for a specified VMware Cloud Foundation for Classic - Flexible instance.
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success. The request for deleting the specified hosts has been accepted.
202 - Success. The request for deleting the specified hosts has been accepted.
400 -
401 -
403 -
404 -
409 -
500 -
Retrieve information for all licenses in a VCF for Classic - Flexible instance
GET /v1/vcenters/vss/{instance_id}/current_licenses
Retrieve the information of all licenses that are present in a VMware Cloud Foundation for Classic - Flexible instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success.
401 -
403 -
404 -
500 -
Retrieve information for all licenses that can be ordered separately for a VCF for Classic - Flexible instance
GET /v1/vcenters/vss/{instance_id}/allowed_licenses
Retrieve the information for all licenses that can be ordered separately for the VMware Cloud Foundation for Classic - Flexible instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success.
401 -
403 -
404 -
500 -
Order a list of licenses that can be ordered separately for a VCF for Classic - Flexible instance
POST /v1/vcenters/vss/{instance_id}/order_licenses
Order a list of licenses that can be ordered separately for the VMware Cloud Foundation for Classic - Flexible instance.
Request
Request Body
allowed_licenses
License order specification with configurations.
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success. The request has been successfully accepted.
202 - Success. The request to order licenses for the VMware Cloud Foundation for Classic - Flexible instance is accepted.
401 -
403 -
404 -
500 -
Cancel old licenses and reorder new licenses for a VCF for Classic - Flexible instance
PATCH /v1/vcenters/vss/{instance_id}/order_licenses
Cancel old licenses and reorder new licenses for a VMware Cloud Foundation for Classic - Flexible instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success. The request has been successfully accepted.
202 - Success. The request for cancelling and ordering licenses for a VCF for Classic - Flexible instance has been accepted.
401 -
403 -
404 -
500 -
Get all billing item IDs of a VCF for Classic - Flexible instance
GET /v1/vcenters/vss/{instance_id}/billing_items
Get all billing item IDs of a VMware Cloud Foundation for Classic - Flexible instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success.
vlan_billing_ids
array
List of all VLAN billing IDs
server_billing_ids
array
List of all server billing IDs with corresponding VMware vSphere billing IDs
license_billing_ids
array
401 -
403 -
404 -
500 -
Cancel a list of billing item IDs from a VCF for Classic - Flexible instance
PATCH /v1/vcenters/vss/{instance_id}/billing_items
Cancel a list of billing item IDs from a VMware Cloud Foundation for Classic - Flexible instance.
Request
Request Body
vss_lic_billing_ids
Required *
array
List of VMware vSphere license billing items IDs to be deleted.
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
202 - Success. The request for deleting the license billing IDs from a VMware Cloud Foundation for Classic - Flexible instance has been accepted.
401 -
403 -
404 -
500 -
Add shared storage to a specified cluster
POST /v1/vcenters/{instance_id}/clusters/{cluster_id}/shared_storages
Add new shared storage to a specified cluster for a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Request Body
Parameters for adding new Network File System (NFS) storage.
shared_storages
Required *
array
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for adding new NFS storage has been accepted.
400 -
401 -
403 -
404 -
409 -
500 -
Delete NFS storage from a specified cluster
PATCH /v1/vcenters/{instance_id}/clusters/{cluster_id}/shared_storages
Delete Network File System (NFS) storage from a specified cluster for a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Request Body
NFS storage ID list for deleting.
storage_ids
Required *
array
List of NFS storage IDs to be deleted. Delete the specified storage from a specified cluster.
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
Response
202 - Success. The request for deleting the specified nfs storage has been accepted.
400 -
401 -
403 -
404 -
409 -
500 -
Get the list of supported data center locations as a JSON object
GET /v2/locations
Get the list of supported data center locations as a JSON object, and the key name is "locations".
Request
Path Parameters
Query Parameters
Response
200 - Success.
locations
array
The list of available data center locations
Get the list of supported multizone region data center locations as a JSON object
GET /v2/mzr_locations
Get the list of supported multizone region data center locations as a JSON object. The key name is "mzr_locations".
Request
Path Parameters
Query Parameters
Response
200 - Success.
mzr_locations
array
The list of available multizone region data center locations.
500 -
Get the list of server CPU types that are supported, per location or vSphere version, as a JSON object
GET /v2/server_types
Get the list of supported server types per location or vSphere version as a JSON object. The key name is the given location value or the vSphere version value. If no location or vSphere version is given, the key name is "server_types”.
Request
Path Parameters
Query Parameters
location
string
Optional. The default value is all locations.
vsphere_version
string
Optional. The default value is all supported vSphere versions.
Response
200 - Success.
server_types
array
The list of server CPU types that are supported.
List all VCF for Classic - Automated instances as a JSON object
GET /v2/vcenters
List all VMware Cloud Foundation for Classic - Automated instances that the user can access. The key name is "vcenters".
Request
Path Parameters
Query Parameters
deploy_type
string
Deployment type.
Response
200 - Success.
vcenters
array
The detailed information of the VMware Cloud Foundation for Classic - Automated instance.
401 -
500 -
List all history messages for a specified VCF for Classic - Automated instance as a JSON object
GET /v2/vcenters/{instance_id}/history
List all the history messages in a specified VMware Cloud Foundation for Classic - Automated instance within the specified time frame. If the history messages are obtained, the key name is "history_messages". Otherwise the key name is "errors".
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
start_date
string
The start date from when history messages are retrieved. If it is not specified, the date when the instance was deployed is used. The format is YYYY-MM-DD.
end_date
string
The end date to when history messages are retrieved. If it is not specified, the current date is used. The format is YYYY-MM-DD.
Response
200 - Success.
history_messages
array
401 -
403 -
404 -
500 -
List all clusters for a specified VCF for Classic - Automated instance as a JSON object
GET /v2/vcenters/{instance_id}/clusters
List all the clusters that are deployed in a specified VMware Cloud Foundation for Classic - Automated instance as a JSON object. If the clusters are obtained, the key name is "clusters". Otherwise, the key name is "errors".
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
Response
200 - Success.
clusters
array
401 -
403 -
404 -
500 -
Retrieve the detailed network interface of a cluster as a JSON object
GET /v2/vcenters/{instance_id}/clusters/{cluster_id}/vlans
Retrieve the detailed information of network interface for a specified cluster as a JSON object. If the detailed network interface information is obtained, the key name is "array_vlans". Otherwise, the key name is "errors".
Request
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
Response
200 - Success.
array_vlans
array
The list of VLANs that the instance exposes.
401 -
403 -
404 -
500 -
Retrieve the existing network of a cluster
GET /v2/vcenters/{instance_id}/clusters/{cluster_id}/existing_network
Retrieve the existing network of a specified cluster.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
cluster_id
Required *
string
Cluster ID.
Query Parameters
Response
200 - Success.
array_vlans
array
The list of VLANs that the instance exposes.
401 -
403 -
404 -
500 -
Retrieve the existing network in a datacenter
GET /v2/existing_network
Retrieve the existing network from a specified datacenter.
Request
Path Parameters
Query Parameters
datacenter
Required *
string
Datacenter ID. Use /v1/locations to find datacenter ID. Example `dal14`.
Response
200 - Success.
401 -
403 -
404 -
500 -
Get list of available services
GET /v1/service_catalog
Get the list of all available service offerings.
Request
Path Parameters
Query Parameters
Response
200 - Success.
services_catalog
array
500 -
Retrieve service information
GET /v1/service_catalog/{service_id}
Retrieve the detailed information on the service, including the set of necessary input fields, and their available options, for ordering the service, the service name, and an explanation of the service
Request
Path Parameters
service_id
Required *
string
Service catalog ID.
Query Parameters
Response
200 - Success.
name
string
The full name of a specified service.
service_id
string
The catalog ID of a specified service.
description
string
The detailed description of a service purpose, as displayed on the UI.
service_version
string
Latest service version.
variables
object
Set of input variables and their available options for ordering a service.
500 -
List services on instance
GET /v1/vcenters/{instance_id}/service_instances
List all services on a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
installed_only
boolean
If set to true, services with REMOVED state will be excluded. Otherwise, services with INSTALLED, INSTALLING, REMOVING, REMOVED, and FAILEDVALIDATION states will be returned.
Response
200 - Success.
service_instances
array
401 -
403 -
404 -
500 -
Add services or verify order
POST /v1/vcenters/{instance_id}/service_instances
Add service or services for a specified VMware Cloud Foundation for Classic - Automated instance, verify the order, and check the price.
Request
Request Body
service_order_data
Service order specification.
services
Required *
array
Path Parameters
instance_id
Required *
string
Instance ID.
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for adding the new service has been accepted.
service_instance_ids
array
Unique ID of service or services.
400 -
401 -
403 -
404 -
500 -
Retrieve specified service instance information on an instance
GET /v1/vcenters/{instance_id}/service_instances/{service_instance_id}
Retrieve the detailed information of a specified service deployed in a specified VMware Cloud Foundation for Classic - Automated instance.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
service_instance_id
Required *
string
Service Instance ID.
Query Parameters
Response
200 - Success.
service_instance_id
string
Unique ID of the service.
service_id
string
Service catalog ID.
service_name
string
Service full name.
instance_name
string
VMware Cloud Foundation for Classic - Automated instance name for add-on service or instance name for the stand-alone service.
status
string
Service status.
creation_time
string
Creation date and time.
variables
object
Public variables for a service installation.
401 -
403 -
404 -
500 -
Delete specified service instance on an instance
DELETE /v1/vcenters/{instance_id}/service_instances/{service_instance_id}
Delete the specified service instance installed on the VMware Cloud Foundation for Classic - Automated instance by the instance ID of the service.
Request
Path Parameters
instance_id
Required *
string
Instance ID.
service_instance_id
Required *
string
Service Instance ID.
Query Parameters
Response
202 - Delete of service instance initiated successfully
401 -
403 -
404 -
500 -
Update or delete variables of service instance
PATCH /v1/service_instances/{service_instance_id}/service_variables
Add, modify, or delete the variables of a service instance.
Request
Request Body
The list of variables to be updated or deleted for a service instance.
action
Required *
string
The action to be performed against the specified variables of a service instance. The only supported values are 'update' and 'delete'.
variables
Required *
array
The list of variables requested to be updated or deleted for a service instance.
Path Parameters
service_instance_id
Required *
string
Service Instance ID.
Query Parameters
Response
202 - Success. The request for updating or deleting the specified service variables has been accepted.
variables
array
The name list of the variables that were updated or removed.
400 -
401 -
403 -
404 -
409 -
500 -
List stand-alone services
GET /v1/service_instances
List all stand-alone services on a specified service catalog id.
Request
Path Parameters
Query Parameters
service_catalog_id
Required *
string
Service Catalog ID.
installed_only
boolean
If set to true, services with REMOVED state will be excluded. Otherwise, services with INSTALLED, INSTALLING, REMOVING, REMOVED, and FAILEDVALIDATION states will be returned.
Response
200 - Success.
service_instances
array
401 -
403 -
404 -
500 -
Add stand-alone services or verify order
POST /v1/service_instances
Add stand-alone services, verify order, or check price
Request
Request Body
service_order_data
Service order specification.
services
Required *
array
Path Parameters
Query Parameters
verify_only
boolean
Whether to verify the order and check the price before making the actual order.
Response
200 - Success. The request has been successfully verified.
202 - Success. The request for adding the new service has been accepted.
service_instance_ids
array
Unique ID of service or services.
400 -
401 -
403 -
404 -
500 -
Configure stand-alone services
PATCH /v1/service_instances
Configure stand-alone services
Request
Request Body
service_configure_data
Service instance data to be configured.
services
Required *
array
Path Parameters
Query Parameters
Response
200 - The request for configuring the service has been accepted.
400 -
401 -
403 -
404 -
500 -
Retrieve information for stand-alone service instance
GET /v1/service_instances/{service_instance_id}
Retrieve the detailed information of a specified standalone service.
Request
Path Parameters
service_instance_id
Required *
string
Service Instance ID.
Query Parameters
Response
200 - Success.
service_instance_id
string
Unique ID of the service.
service_id
string
Service catalog ID.
service_name
string
Service full name.
instance_name
string
VMware Cloud Foundation for Classic - Automated instance name for add-on service or instance name for the stand-alone service.
status
string
Service status.
creation_time
string
Creation date and time.
variables
object
Public variables for a service installation.
400 -
401 -
403 -
404 -
500 -
Delete specified stand-alone service instance
DELETE /v1/service_instances/{service_instance_id}
Deletes the stand-alone service instance specified by service instance ID
Request
Path Parameters
service_instance_id
Required *
string
Service Instance ID.